using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsDrawingCodeType {
        public FmsDrawingCodeType() {
            FmsDrawing = new HashSet<FmsDrawing>();
        }

        [Display(Name = "고유번호"), Key]
        public int DrawingTypeId { get; set; }
        [Display(Name = "코드유형명칭"), Required]
        [StringLength(50)]
        public string Name { get; set; }
        [Display(Name = "사용 유무")]
        public bool? IsUse { get; set; }

        [InverseProperty("FmsDrawingCodeType")]
        public virtual ICollection<FmsDrawing> FmsDrawing { get; set; }
    }
}
